import { Carrier, Hub } from '@sentry/hub';
declare module 'domain' {
    let active: Domain;
    /**
     * Extension for domain interface
     */
    interface Domain {
        __SENTRY__?: Carrier;
    }
}
/**
 * Returns the latest global hub instance.
 *
 * If a hub is already registered in the global carrier but this module
 * contains a more recent version, it replaces the registered version.
 * Otherwise, the currently registered hub will be returned.
 */
export declare function getDefaultHub(): Hub;
